impl Language { # [doc = r" Gets languages by extension."] pub fn from_extension (extension : & str) -> Vec < Self > { match extension { "elm" => vec ! [Self :: Elm] , "pas" => vec ! [Self :: Pascal] , "t" => vec ! [Self :: Raku] , "jsonnet" => vec ! [Self :: Jsonnet] , "scad" => vec ! [Self :: Openscad] , "cs" => vec ! [Self :: CSharp] , "asd" => vec ! [Self :: CommonLisp] , "hrl" => vec ! [Self :: Erlang] , "rst" => vec ! [Self :: RestructuredText] , "rint" => vec ! [Self :: Glsl] , "bash" => vec ! [Self :: Shell] , "ceylon" => vec ! [Self :: Ceylon] , "pfo" => vec ! [Self :: FortranLegacy] , "adb" => vec ! [Self :: Ada] , "libsonnet" => vec ! [Self :: Jsonnet] , "rpy" => vec ! [Self :: RenPy] , "gd" => vec ! [Self :: Gdscript] , "🍇" => vec ! [Self :: Emojicode] , "vhd" => vec ! [Self :: Vhdl] , "oz" => vec ! [Self :: Oz] , "vim" => vec ! [Self :: VimScript] , "vb" => vec ! [Self :: VisualBasic] , "groovy" => vec ! [Self :: Groovy] , "ml" => vec ! [Self :: Ocaml] , "org" => vec ! [Self :: Org] , "ahk" => vec ! [Self :: Autohotkey] , "for" => vec ! [Self :: FortranLegacy] , "pde" => vec ! [Self :: Processing] , "hpp" => vec ! [Self :: CPlusPlus] , "4th" => vec ! [Self :: Forth] , "graphql" => vec ! [Self :: Graphql] , "sbt" => vec ! [Self :: Scala] , "vue" => vec ! [Self :: Vue] , "hats" => vec ! [Self :: Ats] , "nim" => vec ! [Self :: Nim] , "bat" => vec ! [Self :: BatchFile] , "sol" => vec ! [Self :: Solidity] , "wat" => vec ! [Self :: Webassembly] , "go" => vec ! [Self :: Go] , "wixproj" => vec ! [Self :: Xml] , "markdown" => vec ! [Self :: Markdown] , "rest" => vec ! [Self :: RestructuredText] , "ts" => vec ! [Self :: Typescript , Self :: Xml] , "hs" => vec ! [Self :: Haskell] , "asm" => vec ! [Self :: Assembly] , "dart" => vec ! [Self :: Dart] , "sc" => vec ! [Self :: Scala] , "scm" => vec ! [Self :: Scheme] , "xml" => vec ! [Self :: Xml] , "hh" => vec ! [Self :: CPlusPlus] , "purs" => vec ! [Self :: Purescript] , "jsonc" => vec ! [Self :: JsonWithComments] , "rchit" => vec ! [Self :: Glsl] , "c" => vec ! [Self :: C] , "rgen" => vec ! [Self :: Glsl] , "lidr" => vec ! [Self :: Idris] , "P" => vec ! [Self :: Prolog] , "proto" => vec ! [Self :: ProtocolBuffer] , "css" => vec ! [Self :: Css] , "lisp" => vec ! [Self :: CommonLisp] , "cpp" => vec ! [Self :: CPlusPlus] , "kt" => vec ! [Self :: Kotlin] , "tera" => vec ! [Self :: JinjaLike] , "fth" => vec ! [Self :: Forth] , "cake" => vec ! [Self :: CSharp] , "html" => vec ! [Self :: Html , Self :: JinjaLike] , "mli" => vec ! [Self :: Ocaml] , "pl" => vec ! [Self :: Perl , Self :: Prolog , Self :: Raku] , "s" => vec ! [Self :: Assembly] , "coffee" => vec ! [Self :: Coffeescript] , "f90" => vec ! [Self :: FortranModern] , "lua" => vec ! [Self :: Lua] , "pro" => vec ! [Self :: Prolog] , "rakumod" => vec ! [Self :: Raku] , "sass" => vec ! [Self :: Sass] , "h++" => vec ! [Self :: CPlusPlus] , "h" => vec ! [Self :: C , Self :: CPlusPlus , Self :: ObjectiveC] , "cmake" => vec ! [Self :: Cmake] , "mermaid" => vec ! [Self :: Mermaid] , "zsh" => vec ! [Self :: Shell] , "qml" => vec ! [Self :: Qml] , "scrbl" => vec ! [Self :: Racket] , "sats" => vec ! [Self :: Ats] , "cfm" => vec ! [Self :: Coldfusion] , "rcall" => vec ! [Self :: Glsl] , "md" => vec ! [Self :: Markdown] , "yml" => vec ! [Self :: Yaml] , "js" => vec ! [Self :: Javascript] , "fsx" => vec ! [Self :: FSharp] , "vert" => vec ! [Self :: Glsl] , "txt" => vec ! [Self :: PlainText] , "sh" => vec ! [Self :: Shell] , "v" => vec ! [Self :: Coq , Self :: Verilog] , "nix" => vec ! [Self :: Nix] , "hlsl" => vec ! [Self :: Hlsl] , "exs" => vec ! [Self :: Elixir] , "rahit" => vec ! [Self :: Glsl] , "ps1" => vec ! [Self :: Powershell] , "ino" => vec ! [Self :: Arduino] , "astro" => vec ! [Self :: Astro] , "d" => vec ! [Self :: D] , "tesc" => vec ! [Self :: Glsl] , "jl" => vec ! [Self :: Julia] , "tsx" => vec ! [Self :: Typescript] , "wxs" => vec ! [Self :: Xml] , "xsl" => vec ! [Self :: Xsl] , "tfvars" => vec ! [Self :: Hcl] , "ada" => vec ! [Self :: Ada] , "php" => vec ! [Self :: Php] , "ss" => vec ! [Self :: Scheme] , "tf" => vec ! [Self :: Hcl] , "svh" => vec ! [Self :: Systemverilog] , "ex" => vec ! [Self :: Elixir] , "frag" => vec ! [Self :: Glsl] , "hcl" => vec ! [Self :: Hcl] , "kts" => vec ! [Self :: Kotlin] , "regex" => vec ! [Self :: Regex] , "f95" => vec ! [Self :: FortranModern] , "pug" => vec ! [Self :: Pug] , "f" => vec ! [Self :: FortranLegacy , Self :: Forth] , "rb" => vec ! [Self :: Ruby] , "sql" => vec ! [Self :: Sql] , "sv" => vec ! [Self :: Systemverilog] , "tsv" => vec ! [Self :: Tsv] , "vala" => vec ! [Self :: Vala] , "xslt" => vec ! [Self :: Xsl] , "zig" => vec ! [Self :: Zig] , "fish" => vec ! [Self :: Fish] , "ftn" => vec ! [Self :: FortranLegacy] , "json" => vec ! [Self :: Json , Self :: JsonWithComments] , "task" => vec ! [Self :: Glsl] , "odin" => vec ! [Self :: Odin] , "jsx" => vec ! [Self :: Javascript] , "cljs" => vec ! [Self :: Clojure] , "py" => vec ! [Self :: Python] , "c++" => vec ! [Self :: CPlusPlus] , "tcl" => vec ! [Self :: Tcl] , "clj" => vec ! [Self :: Clojure] , "mmd" => vec ! [Self :: Mermaid] , "scala" => vec ! [Self :: Scala] , "fs" => vec ! [Self :: FSharp , Self :: Forth] , "java" => vec ! [Self :: Java] , "csx" => vec ! [Self :: CSharp] , "jule" => vec ! [Self :: Jule] , "atxt" => vec ! [Self :: Ats] , "ipynb" => vec ! [Self :: JupyterNotebook] , "raku" => vec ! [Self :: Raku] , "rs" => vec ! [Self :: Rust] , "vhdl" => vec ! [Self :: Vhdl] , "cljc" => vec ! [Self :: Clojure] , "yaml" => vec ! [Self :: Yaml] , "toml" => vec ! [Self :: Toml] , "forth" => vec ! [Self :: Forth] , "rmiss" => vec ! [Self :: Glsl] , "emojic" => vec ! [Self :: Emojicode] , "hc" => vec ! [Self :: Holyc] , "cmd" => vec ! [Self :: BatchFile] , "hx" => vec ! [Self :: Haxe] , "f08" => vec ! [Self :: FortranModern] , "cow" => vec ! [Self :: Perl] , "R" => vec ! [Self :: R] , "svg" => vec ! [Self :: Svg] , "swift" => vec ! [Self :: Swift] , "text" => vec ! [Self :: PlainText] , "geom" => vec ! [Self :: Glsl] , "cr" => vec ! [Self :: Crystal] , "glsl" => vec ! [Self :: Glsl] , "wl" => vec ! [Self :: Wolfram] , "tex" => vec ! [Self :: Tex] , "p6" => vec ! [Self :: Raku] , "scss" => vec ! [Self :: Sass] , "el" => vec ! [Self :: EmacsLisp] , "gemspec" => vec ! [Self :: Ruby] , "env" => vec ! [Self :: Dotenv] , "tese" => vec ! [Self :: Glsl] , "rkt" => vec ! [Self :: Racket] , "svelte" => vec ! [Self :: Svelte] , "wast" => vec ! [Self :: Webassembly] , "ads" => vec ! [Self :: Ada] , "f03" => vec ! [Self :: FortranModern] , "comp" => vec ! [Self :: Glsl] , "m" => vec ! [Self :: ObjectiveC , Self :: Wolfram] , "agda" => vec ! [Self :: Agda] , "abap" => vec ! [Self :: Abap] , "erl" => vec ! [Self :: Erlang] , "f77" => vec ! [Self :: FortranLegacy] , "dats" => vec ! [Self :: Ats] , "xaml" => vec ! [Self :: Xaml] , "idr" => vec ! [Self :: Idris] , "nb" => vec ! [Self :: Wolfram] , "ll" => vec ! [Self :: Llvm] , "csv" => vec ! [Self :: Csv] , "abnf" => vec ! [Self :: Abnf] , "lsp" => vec ! [Self :: CommonLisp] , "mesh" => vec ! [Self :: Glsl] , _ => vec ! [] , } } }